Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nextapp.echo2.webcontainer.filetransfer
Class JakartaCommonsFileUploadProvider

    java.lang.Object
      nextapp.echo2.webcontainer.filetransfer.AbstractFileUploadProvider
          nextapp.echo2.webcontainer.filetransfer.JakartaCommonsFileUploadProvider

All Implemented Interfaces:
  java.io.Serializable, MultipartUploadSPI, WebRenderAction.MultipartRequestWrapper

    public class JakartaCommonsFileUploadProvider

extends AbstractFileUploadProvider

Implementation of MultipartUploadSPI that uses the Jakarta Commons FileUpload library to perform the parsing of multipart HttpServletRequests.

See Also:
  Serialized Form

Field Summary

Fields inherited from class nextapp.echo2.webcontainer.filetransfer.AbstractFileUploadProvider
`TEMPDIR_FILE, TEMPDIR_PATH`

Fields inherited from interface nextapp.echo2.webcontainer.filetransfer.MultipartUploadSPI
`SYSTEM_PROPERTY_NAME`

Constructor Summary
`JakartaCommonsFileUploadProvider()`

Method Summary
`void` | `updateComponent(Connection conn, UploadSelect uploadSelect)` Implementations use the information from the HttpServletRequest in the Connection to call the `fileUpload()` method of the UploadSelect component.

Methods inherited from class nextapp.echo2.webcontainer.filetransfer.AbstractFileUploadProvider
`getDiskCacheLocation, getFileUploadSizeLimit, getMemoryCacheThreshold, getWrappedRequest, supportsDiskCaching, supportsFileUploadSizeLimit, writeTempFile`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JakartaCommonsFileUploadProvider

    public JakartaCommonsFileUploadProvider()

Method Detail

### updateComponent

    public void updateComponent(Connection conn,
                                UploadSelect uploadSelect)
                         throws java.io.IOException,
                                ServletException

  Description copied from interface: `MultipartUploadSPI`
  Implementations use the information from the HttpServletRequest in the Connection to call the `fileUpload()` method of the UploadSelect component.

  Parameters:
    `conn` - provides access to the HttpServletRequest
    `uploadSelect` - component to be updated with the file upload information
  Throws:
    `java.io.IOException` - if the Connection or the HttpServletRequest throws an IOException during the operation
    `ServletException` - if Connection or the HttpServletRequest throws an IOException during the operation
  See Also:
    `MultipartUploadSPI.updateComponent(nextapp.echo2.webrender.Connection, nextapp.echo2.app.filetransfer.UploadSelect)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD